# std::initializer_list<T>::begin

From cppreference.com
< cpp‎ | utility‎ | initializer list

const T* begin() const noexcept; |  | (since C++11) (until C++14)
constexpr const T* begin() const noexcept; |  | (since C++14)

Returns a pointer to the first element in the initializer list.

If the initializer list is empty, the values of begin() and end() are unspecified, but will be identical.

### Parameters

(none)

### Return value

a pointer to the first element in the initializer list

### Complexity

Constant

### See also

end | returns a pointer to one past the last element (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/utility/initializer_list/begin&oldid=93406"